From: Boyuan Yang <byang@debian.org>
Date: Thu, 4 Nov 2021 17:11:00 -0400
Subject: autotools buildsystem

---
 Makefile.am  |  6 ++++++
 configure.ac | 25 +++++++++++++++++++++++++
 2 files changed, 31 insertions(+)
 create mode 100644 Makefile.am
 create mode 100644 configure.ac

diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..d8b641d
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,6 @@
+bin_PROGRAMS = abr2gbr
+
+abr2gbr_SOURCES = abr2gbr.c
+abr2gbr_CFLAGS = $(GLIB_CFLAGS)
+abr2gbr_CPPFLAGS = $(GLIB_CPPFLAGS)
+abr2gbr_LDADD = $(GLIB_LIBS)
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..b30a005
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,25 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([abr2gbr], [1.0.2], [https://salsa.debian.org/debian/abr2gbr])
+AC_CONFIG_SRCDIR([abr2gbr.c])
+AC_CONFIG_HEADERS([config.h])
+AM_INIT_AUTOMAKE([foreign])
+
+# Checks for programs.
+AC_PROG_CC
+AC_PROG_LN_S
+
+# Checks for libraries.
+PKG_CHECK_MODULES([GLIB], [glib-2.0 >= 2.28])
+
+# Checks for header files.
+
+# Checks for typedefs, structures, and compiler characteristics.
+
+# Checks for library functions.
+AC_CHECK_FUNCS([strrchr])
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
